-- 基础信息
base_info = {
	group_id = 247006009
}

-- DEFS_MISCS
local GroupId = 247006009
local point_id_list = {}
local MainGroupID = 247006001
local RegionID = 9001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 9001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -80.005, y = 0.090, z = 157.736 } }
}

-- 触发器
triggers = {
	{ config_id = 1009001, name = "ENTER_REGION_9001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 9002, pos = { x = -80.055, y = 0.079, z = 171.112 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9003, pos = { x = -83.050, y = 0.079, z = 170.410 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9004, pos = { x = -76.828, y = 0.079, z = 170.526 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9005, pos = { x = -86.962, y = 0.079, z = 169.203 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9006, pos = { x = -72.890, y = 0.079, z = 168.755 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9007, pos = { x = -89.409, y = 0.079, z = 166.703 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9008, pos = { x = -69.654, y = 0.079, z = 166.721 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9009, pos = { x = -90.221, y = 0.079, z = 164.168 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 9010, pos = { x = -69.541, y = 0.079, z = 163.820 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 9011, pos = { x = -90.271, y = 0.079, z = 161.074 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 9012, pos = { x = -79.986, y = 0.079, z = 169.800 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 9013, pos = { x = -84.881, y = 0.079, z = 167.834 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 9014, pos = { x = -74.931, y = 0.079, z = 168.007 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 9015, pos = { x = -88.282, y = 0.079, z = 164.737 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 9016, pos = { x = -70.745, y = 0.079, z = 163.715 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 9017, pos = { x = -87.833, y = 0.079, z = 159.080 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 9018, pos = { x = -71.334, y = 0.079, z = 157.800 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 9019, pos = { x = -84.825, y = 0.079, z = 155.269 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 9020, pos = { x = -74.753, y = 0.079, z = 154.459 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 9021, pos = { x = -79.993, y = 0.079, z = 152.404 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 9022, pos = { x = -90.000, y = 0.079, z = 170.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9023, pos = { x = -69.934, y = 0.079, z = 170.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9024, pos = { x = -90.000, y = 0.079, z = 151.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9025, pos = { x = -69.934, y = 0.079, z = 151.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9026, pos = { x = -88.267, y = 0.079, z = 170.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9027, pos = { x = -68.200, y = 0.079, z = 170.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9028, pos = { x = -88.267, y = 0.079, z = 151.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9029, pos = { x = -68.200, y = 0.079, z = 151.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9030, pos = { x = -92.683, y = 0.079, z = 170.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9031, pos = { x = -72.616, y = 0.079, z = 170.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9032, pos = { x = -92.683, y = 0.079, z = 151.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9033, pos = { x = -72.616, y = 0.079, z = 151.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9034, pos = { x = -81.180, y = 0.079, z = 164.151 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9035, pos = { x = -78.948, y = 0.079, z = 164.151 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9036, pos = { x = -83.093, y = 0.079, z = 164.151 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9037, pos = { x = -76.902, y = 0.079, z = 164.151 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9038, pos = { x = -84.966, y = 0.079, z = 164.151 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9039, pos = { x = -75.064, y = 0.079, z = 164.151 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9040, pos = { x = -83.210, y = 0.079, z = 161.780 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9041, pos = { x = -77.164, y = 0.079, z = 161.780 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9042, pos = { x = -78.948, y = 0.079, z = 161.780 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9043, pos = { x = -81.180, y = 0.079, z = 161.780 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9044, pos = { x = -79.986, y = 0.090, z = 167.250 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 9001 },
		triggers = { "ENTER_REGION_9001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
